Name:		umplayer
Version:	0.98.2
Release:	%mkrel 2
Summary:	Complete Frontend for MPlayer
Group:		Video/Players
License:	GPLv3
URL:		http://umplayer.sourceforge.net/
Source:		http://sourceforge.net/projects/smplayer/files/UMPlayer/%{version}/%{name}-%{version}-by-the-smplayer-team.tar.bz2
Patch0:		umplayer-0.98.2-optflags.patch
Patch1:		umplayer-fix_logging_format.patch

BuildRequires:	qt4-devel >= 4:4.2.0
BuildRequires:	desktop-file-utils

Requires:	mplayer >= 1.0-1.rc1 
Requires:	xdg-utils
Suggests:	umplayer-themes

%description
UMPlayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support for
MPlayer filters and more.

One of the most interesting features of UMPlayer: it remembers the settings of
all files you play. So you start to watch a movie but you have to leave...
don't worry, when you open that movie again it will resume at the same point
you left it, and with the same settings: audio track, subtitles, volume...


Authors:
--------
    Vinay Khaitan <vkhaitan@gmail.com>

#------------------------------------------------------------------------------

%package themes
Summary:	Themes for UMPlayer
Group:		Video/Players
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-theme-Black  = %{version}-%{release}
Provides:	%{name}-theme-Gonzo  = %{version}-%{release}
Provides:	%{name}-theme-Mac    = %{version}-%{release}
Provides:	%{name}-theme-Modern = %{version}-%{release}
Provides:	%{name}-theme-Vista  = %{version}-%{release}

%description themes
UMPlayer is the multimedia player that fills all your needs. With dozens of
advanced features and built-in codecs it can handle any media format, and can
play Audio CDs, DVDs, (S)VCDs, TV / Radio cards, YouTube™ and SHOUTcast™
streams and even incomplete or damaged media files.

This package contains a set of themes for UMPlayer.

#----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}-by-the-smplayer-team
%patch0 -p1
%patch1 -p0

# fix CRLF in .txt files:
sed -i 's/\r$//' *.txt

%build
%setup_compile_flags
%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease

%install
%makeinstall_std

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

# for translations
LANGFILE="$PWD/umplayer.lang"
echo -n > "$LANGFILE"
find "%{buildroot}%{_datadir}/umplayer/translations" -name '*.qm' \
| while read qm; do
    qmfile=${qm##*/}
    l=${qmfile#*_}
    l=${l%%.qm}

    [ "$l" = "en_US" ] && continue    
    echo "%lang(${l}) %{_datadir}/umplayer/translations/${qmfile}" >> "$LANGFILE"
done

# for desktop file entry
desktop-file-install \
	--remove-key='Encoding' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%files -f %{name}.lang
%doc Changelog *.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}/shortcuts/*.keys
%{_iconsdir}/*/*/apps/%{name}.*
%config(noreplace) %{_datadir}/%{name}/input.conf
%{_mandir}/man1/%{name}.*
%lang(en_US) %{_datadir}/%{name}/translations/%{name}_en_US.qm

%files themes
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/*


%changelog
* Sun Jan 05 2014 david.david (MLO Team) <david.david> 0.98.2-2.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- version: 0.98.2

* Tue Sep 10 2013 david.david (MLO Team) <david.david> 0.98.2-1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package umplayer
- version: 0.98.2